-- Schema Source:            ldapupdt.sch
-- Description:
-- %version:             nds#3 %
-- %created_by:          mmeredit %
-- %date_modified:       Mon Mar 12 22:36:16 2001 %

UserForInetOrgPersonExtentions DEFINITIONS ::=
BEGIN

-- Netscape extension to the standard LDAP schema

"audio" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 55}
}

"carLicense" ATTRIBUTE ::=
{
	SyntaxID    SYN_CI_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113730 3 1 1}
}

"departmentNumber" ATTRIBUTE ::=
{
	SyntaxID    SYN_CI_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113730 3 1 2}
}

"employeeType" ATTRIBUTE ::=
{
	SyntaxID    SYN_CI_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113730 3 1 4}
}

"homePhone" ATTRIBUTE ::=
{
	SyntaxID    SYN_TEL_NUMBER,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 20}
}

"homePostalAddress" ATTRIBUTE ::=
{
	SyntaxID    SYN_PO_ADDRESS,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 39}
}

"jpegPhoto" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 60}
}

"labeledUri" ATTRIBUTE ::=
{
	SyntaxID    SYN_CI_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {1 3 6 1 4 1 250 1 57}
}

"manager" ATTRIBUTE ::=
{
	SyntaxID		SYN_DIST_NAME,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 10}
}

"mobile" ATTRIBUTE ::=
{
	SyntaxID    SYN_TEL_NUMBER,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 41}
}

"pager" ATTRIBUTE ::=
{
	SyntaxID    SYN_TEL_NUMBER,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 42}
}

"ldapPhoto" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 7}
}

"preferredLanguage" ATTRIBUTE ::=
{
	SyntaxID    SYN_CI_STRING,
	Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113730 3 1 39}
}

"secretary" ATTRIBUTE ::=
{
	SyntaxID		SYN_DIST_NAME,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {0 9 2342 19200300 100 1 21}
}

"userSMIMECertificate" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113730 3 1 40}
}

"displayName" ATTRIBUTE ::=
{
	SyntaxID    SYN_CI_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113730 3 1 241}
}

"userPKCS12" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {1 3 6 1 4 1 1466 115 121 1 5}
}


-- Netscape extension to the standard LDAP schema
"User" OBJECT-CLASS ::=
{
	Operation   MODIFY,
	MayContain  {
					"audio",										"businessCategory",
					"carLicense",								"departmentNumber",
					"NSCP:employeeNumber",					"employeeType",
					"Given Name",								"homePhone",
					"homePostalAddress",						"Initials",
					"jpegPhoto",								"labeledUri",
					"Internet EMail Address",				"manager",
					"mobile",									"pager",
					"ldapPhoto",								"preferredLanguage",
					"roomNumber",								"secretary",
					"uniqueID",									"userCertificate",
					"userSMIMECertificate",					"x500UniqueIdentifier",
					"displayName",							"userPKCS12"}
}

END
